VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CMessageID"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'programmed by ShareVB
'gestion du sujet d'un mail pour les extensions non ascii (par exe : iso-8859-1)

Option Explicit
Option Compare Text

'variables locales de stockage des valeurs de propriétés
Private mvarID As String 'copie locale

'==================================================
'propriétés
'==================================================

Public Property Let ID(ByVal vData As String)
'utilisé lors de l'affectation d'une valeur à la propriété, du coté gauche de l'affectation.
'Syntax: X.Subject = 5
    mvarID = vData
End Property
Public Property Get ID() As String
'utilisé lors de la lecture de la valeur de la propriété, du coté droit de l'instruction.
'Syntax: Debug.Print X.Subject
    ID = mvarID
End Property

'==================================================
'méthodes privées
'==================================================

'==================================================
'méthodes publiques
'==================================================

Public Sub Parse(szID As String)
mvarID = szID
End Sub

Public Function Make() As String
Make = mvarID
End Function

'==================================================
'constructeur
'==================================================
